libqxp::Line Struct Reference

`#include <QXPTypes.h>`

Inheritance diagram for libqxp::Line:

## Public Member Functions

| Line ()

## Public Attributes

double | rotation
Frame | style
std::vector< CurveComponent > | curveComponents
Public Attributes inherited from libqxp::Object
Rect | boundingBox
bool | runaround
unsigned | zIndex

## Additional Inherited Members

Protected Member Functions inherited from libqxp::Object
| Object ()

## Constructor & Destructor Documentation

## Line()

libqxp::Line::Line | ( |  | ) |

inline

## Member Data Documentation

## curveComponents

std::vector<CurveComponent> libqxp::Line::curveComponents

Referenced by Line().

## rotation

double libqxp::Line::rotation

Referenced by Line().

## style

Frame libqxp::Line::style

Referenced by Line().

The documentation for this struct was generated from the following file:

- QXPTypes.h